Package org.eclipse.swt.dnd

# Class DragSourceEffect

java.lang.Object
org.eclipse.swt.dnd.DragSourceAdapter
org.eclipse.swt.dnd.DragSourceEffect

All Implemented Interfaces:
  `DragSourceListener`

public class DragSourceEffect extends DragSourceAdapter
This class provides default implementations to display a drag source effect during a drag and drop operation. The current implementation does not provide any visual feedback.

The drag source effect has the same API as the `DragSourceAdapter` so that it can provide custom visual feedback when a `DragSourceEvent` occurs.

Classes that wish to provide their own drag source effect such as displaying a default source image during a drag can extend the `DragSourceEffect` class, override the `DragSourceAdapter.dragStart` method and set the field `DragSourceEvent.image` with their own image. The image should be disposed when `DragSourceAdapter.dragFinished` is called.

Since:
  1.3
See Also:
  - `DragSourceAdapter`
  - `DragSourceEvent`

## Constructor Summary

Constructors
Constructor
Description
`DragSourceEffect(Control control)`
Creates a new `DragSourceEffect` to handle drag effect from the specified `Control`.

## Method Summary

Modifier and Type
Method
Description
`Control`
`getControl()`
Returns the Control which is registered for this DragSourceEffect.

### Methods inherited from class org.eclipse.swt.dnd.DragSourceAdapter

`dragFinished, dragSetData, dragStart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DragSourceEffect

public DragSourceEffect(Control control)
Creates a new `DragSourceEffect` to handle drag effect from the specified `Control`.

Parameters:
  `control` - the `Control` that the user clicks on to initiate the drag
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the control is null

## Method Details

### getControl

public Control getControl()
Returns the Control which is registered for this DragSourceEffect. This is the control that the user clicks in to initiate dragging.

Returns:
  the Control which is registered for this DragSourceEffect